/**
 * Sets the correct styles for the footer area.
 *
 * @since 1.0.0
 */
(function ( $ ) {

	var $body   = $( 'body' ),
	    $window = $( window ),
	    $footer = $( '#gf-footer' );

	positionFooter();

	$window.on( 'resize', function () {

		positionFooter();

	});

	function positionFooter() {

		if ( $window.height() >= $body.get( 0 ).scrollHeight ) {

			$footer
				.css( {
					'position': 'absolute',
					'right': 0,
					'bottom': 0,
					'left': 0
				} );

		} else {

			$footer
				.css( {
					'position': 'static'
				} );

		}    

	}

})( jQuery );
