/**
 * Helps unresponsive elements to behave as responsive to screen sizes.
 *
 * @since 1.0.0
 * @since 1.4.0 Removes 300ms delay on click event on mobile.
 * 
 */
( function ( $ ) {

	if ( 'addEventListener' in document ) {
		document.addEventListener( 'DOMContentLoaded', function () {
			FastClick.attach( document.body );
		}, false );
	}

	$( 'iframe, embed, video, object' ).reframe();

} )( jQuery );
