<?php 
if ( post_password_required() ) {
	return;
}
?>
<div class="gf-comments" id="comments">
	<?php if ( have_comments() ): ?>
		<h3 class="gf-title">
			<?php 
				$comments_number = get_comments_number();

				if ( '1' === $comments_number ) {
					/* translators: %s: post title */
					printf( esc_html_x( 'One Reply to &ldquo;%s&rdquo;', 'comments title', 'go-first' ), get_the_title() );
				} else {
					printf( 
						/* translators: 1: number of comments, 2: post title */
						esc_html( _nx(
							'%1$s Reply to &ldquo;%2$s&rdquo;',
							'%1$s Replies to &ldquo;%2$s&rdquo;',
							$comments_number,
							'comments title',
							'go-first'
						) ),
						esc_html( number_format_i18n( $comments_number ) ),
						get_the_title()
					);
				}
			?>
		</h3>
		<ul class="list-unstyled gf-comments__list">
			<?php 
				wp_list_comments( array(
					'max_depth'   => 4,
					'avatar_size' => 40,
					'format'      => 'html5',
					'reply_text'  => __( 'Reply', 'go-first' ),
				) );
			?>
		</ul>
		<div class="content-post__pagination">
			<div class="clearfix">
				<div class="content-post__pagination-left">
					<p class="mb-sm-0">
						<?php previous_comments_link(); ?>
					</p>
				</div>
				<div class="content-post__pagination-right">
					<p class="mb-xs-0">
						<?php next_comments_link(); ?>	
					</p>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ): ?>
		<p class="text-center lead">
			<?php esc_html_e( 'Comments are closed', 'go-first' ); ?>
		</p>
	<?php endif; ?>
	<?php 
		$args = array(
			'fields'        =>  apply_filters( 'comment_form_default_fields', array(
									'author' => '<div class="form-group"><label for="author">' . __( 'Name', 'go-first' ) . ' *</label><input type="text" name="author" id="author" class="form-control form__input" value="' . esc_attr( $commenter['comment_author'] ) . '" maxlength="245" required></div>',
									'email'  => '<div class="form-group"><label for="email">' . __( 'Email', 'go-first' ) . ' *</label><input type="email" name="email" id="email" class="form-control form__input" value="' . esc_attr( $commenter['comment_author_email'] ) . '" maxlength="100" aria-describedby="email-notes" required></div>',
									'url'    => '<div class="form-group"><label for="url">' . __( 'Website', 'go-first' ) . '</label><input type="url" name="url" id="url" class="form-control form__input" value="' . esc_attr( $commenter['comment_author_url'] ) . '" maxlength="200"></div>',
								) ),
			'comment_field' => '<div class="form-group"><label for="comment">' . __( 'Comment', 'go-first' ) . ' *</label><textarea name="comment" id="comment" cols="30" rows="7" class="form-control form__input" maxlength="65525" aria-required="true" required></textarea></div>',
			'class_form'    => 'form',
			'class_submit'  => 'btn btn-royalblue btn-lg',
			'submit_button' => '<button type="submit" name="%1$s" id="%2$s" class="%3$s">%4$s</button>',
			'submit_field'  => '<div class="form-group">%1$s%2$s</div>',
			'format'        => 'html5',
	);

		comment_form( $args, get_the_ID() );
	?>
</div>