<?php

// Requires theme functionality, in the specified order
require get_theme_file_path( '/inc/sanitation-callbacks.php' );
require get_theme_file_path( '/inc/init.php' );
require get_theme_file_path( '/inc/filters.php' );
require get_theme_file_path( '/inc/wp-head.php' );
require get_theme_file_path( '/inc/widgets-init.php' );
require get_theme_file_path( '/inc/after-setup-theme.php' );
require get_theme_file_path( '/inc/wp-enqueue-scripts.php' );
require get_theme_file_path( '/inc/customize-register.php' );

// Hooks theme functionality, right after requiring files
add_action( 'init', 'go_first_init' );
add_action( 'wp_head', 'go_first_wp_head' );
add_action( 'widgets_init', 'go_first_widgets_init' );
add_action( 'after_setup_theme', 'go_first_setup_theme' );
add_action( 'wp_enqueue_scripts', 'go_first_enqueue_scripts' );
add_action( 'customize_register', 'go_first_customize_register' );

// Sets up filters
if ( ! is_admin() ) {
	add_filter( 'excerpt_more', 'go_first_excerpt_more' );
	add_filter( 'excerpt_length', 'go_first_excerpt_length', 999 );
}

// If not set, sets content width
if ( ! isset( $content_width ) ) {
	$content_width = 850;
}
