<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<header class="gf-header" id="gf-header">
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12">
					<div grid>
						<div grid horizontally-distributed="between" vertically-aligned="center" class="fb-xs-12 fb-sm-12 fb-md-auto gf-header__logo-container">
							<div>
								<?php if ( has_custom_logo() ): ?>
									<?php the_custom_logo(); ?>
								<?php else: ?>
									<?php if ( display_header_text() ): ?>
										<h1 class="gf-site-title">
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ); ?></a>
										</h1>
									<?php endif; ?>
								<?php endif; ?>
							</div>
							<div class="visible-xs visible-sm">
								<button type="button" id="gf-header-menu-toggler" class="btn btn-link gf-color-unchanged">
									<i class="fa fa-bars fa-2x" aria-hidden="true"></i>
								</button>
							</div>
						</div>
						<div grid vertically-aligned="center" class="fb-xs-12 fb-sm-12 fb-md-auto gf-header__collapse" id="gf-header-collapse">
							<div class="fb-xs-12 fb-sm-12 fb-md-auto">
								<div class="gf-header-search-form" id="gf-header-search-form">
									<?php get_search_form(); ?>
								</div>
								<div class="visible-md visible-lg gf-header__form-toggler">
									<span class="gf-header__form-toggler-link color-unchanged" id="gf-header-form-toggler-link">
										<i class="fa fa-search fa-2x" aria-hidden="true"></i>
									</span>
								</div>
							</div>
							<div class="fb-xs-12 fb-sm-12 fb-md-auto">
								<?php 
									wp_nav_menu( array(
										'depth'           => 2,
										'fallback_cb'     => false,
										'theme_location'  => 'main-menu',
										'container_id'    => 'gf-header-menu',
										'container_class' => 'gf-header__menu',
									) );
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
	<?php if ( display_header_text() ): ?>
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<p class="lead mt-xs-20"><?php bloginfo( 'description' ); ?></p>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<main>