<?php 
	get_header(); 
	$hide_sidebar = get_theme_mod( 'hide_sidebar' );
	$show_featured = get_theme_mod( 'show_featured' );
	$show_top_stories = get_theme_mod( 'show_top_stories' );
?>
<?php if ( ! empty( $show_featured ) ): ?>
	<?php 
		$featured_story_query = new WP_Query( array(
			'posts_per_page' => 1,
			'post_status'    => 'publish',
			'category_name'  => 'featured',
		) );
	?>
	<?php if ( $featured_story_query->have_posts() ): ?>
		<section>
			<div class="container">
				<div class="row">
					<div class="col-xs-12">
						<?php while ( $featured_story_query->have_posts() ): $featured_story_query->the_post(); ?>
							<?php get_template_part( 'template-parts/content', 'featured-story' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
		</section>
	<?php endif; ?>
<?php endif; ?>
<?php if ( ! empty( $show_top_stories ) ): ?>
	<section class="gf-section">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="gf-title mt-xs-0 mb-xs-30">
						<?php esc_html_e( 'Top Stories', 'go-first' ); ?>
					</h1>
					<?php 
						$top_stories_query = new WP_Query( array(
							'posts_per_page' => 3,
							'post_status'    => 'publish',
							'category_name'  => 'top-stories',
						) );
					?>
					<?php if ( $top_stories_query->have_posts() ): ?>
						<div class="row" grid vertically-distributed="equal">
							<?php while ( $top_stories_query->have_posts() ): $top_stories_query->the_post(); ?>
								<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4" grid horizontally-distributed="equal" vertically-aligned="bottom">
									<?php get_template_part( 'template-parts/content', 'top-stories' ); ?>		
								</div>
							<?php endwhile; wp_reset_postdata(); ?>
						</div>
					<?php else: ?>
						<?php get_template_part( 'template-parts/content', 'none' ); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
<?php endif; ?>
<section class="gf-section">
	<div class="container">
		<div class="row">
			<?php $class = ( ! empty( $hide_sidebar ) ) ? 'col-xs-12' : 'col-xs-12 col-sm-12 col-md-8 col-lg-9'; ?>
			<div class="<?php echo esc_attr( $class ); ?>">
				<h1 class="gf-title mt-xs-0 mb-xs-30">
					<?php esc_html_e( 'All Stories', 'go-first' ); ?>
				</h1>
				<?php if ( have_posts() ): ?>
					<?php while ( have_posts() ): the_post(); ?>
						<?php get_template_part( 'template-parts/content' ); ?>
					<?php endwhile; ?>
					<div class="content-pagination text-center">
						<?php
							$args = array(
								'prev_text' => '&laquo',
								'next_text' => '&raquo',
							);
						
							the_posts_pagination( $args );
						?>
					</div>
				<?php else: ?>
					<?php get_template_part( 'template-parts/content', 'none' ); ?>
				<?php endif; ?>
			</div>
			<?php if ( empty( $hide_sidebar ) ): ?>
				<div class="col-xs-12 col-sm-12 col-md-4 col-lg-3">
					<?php get_sidebar(); ?>
				</div>	
			<?php endif; ?>
		</div>
	</div>
</section>
<?php get_footer(); ?>