<div <?php post_class( 'content-post' ); ?>>
	<?php the_title( '<h1 class="gf-title mt-xs-0 mb-xs-30">', '</h1>' ); ?>
	<?php if ( has_post_thumbnail() ): ?>
		<div class="content-post__thumbnail mb-xs-15">
			<?php the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
		</div>
	<?php endif; ?>
	<p class="lead content-post__author mb-xs-10">
		<?php the_author(); ?>
	</p>
	<p class="small text-muted content-post__date">
		<?php the_date(); ?>
	</p>
	<div class="content-post__content content-post__content--no-border-top">
		<?php
			the_content();
			wp_link_pages( array(
				'link_before' 	=> '<span>',
				'link_after' 	=> '</span>',
				'before' 		=> '<p class="link-pages">' . __( 'Pages: ', 'go-first' ),
			) );
		?>
	</div>
	<?php if ( has_category() ): ?>
		<div class="text-uppercase content-post__category">
			<span><?php esc_html_e( 'Posted in:', 'go-first' ); ?></span>
			<?php the_category( ' - ' );  ?>
		</div>
	<?php endif; ?>
	<?php if ( has_tag() ): ?>
		<div class="text-uppercase content-post__tag">
			<?php the_tags( '<span>' . __( 'Tags: ', 'go-first' ) . '</span>' ); ?>
		</div>
	<?php endif; ?>
	<div class="content-post__pagination">
		<div class="clearfix">
			<div class="content-post__pagination-left">
				<p class="mb-sm-0">
					<?php next_post_link( '&laquo; %link', '%title' ); ?>	
				</p>
			</div>
			<div class="content-post__pagination-right">
				<p class="mb-xs-0">
					<?php previous_post_link( '%link &raquo;', '%title' ); ?>
				</p>
			</div>
		</div>
	</div>
	<?php 
		$post_tags_ids       = array();
		$post_categories_ids = array();
		$post_tags           = get_the_tags();
		$post_categories     = get_the_category();

		if ( false !== $post_tags ) {
			foreach ( $post_tags as $key => $tag ) {
				$post_tags_ids[] = $tag->term_id;
			}
		}

		foreach ( $post_categories as $key => $category ) {
			$post_categories_ids[] = $category->term_id;
		}

		$args = array(
			'posts_per_page' => 3,
			'post_type'      => 'post',
			'post_status'    => 'publish',
			'post__not_in'   => array(get_the_ID()),
		);

		if ( ! empty( $post_tags_ids ) ) {
			$args['tax_query'] = array(
				'relation' => 'OR',
				array(
					'field'    => 'term_id',
					'taxonomy' => 'category',
					'terms'    => $post_categories_ids,
				),
				array(
					'field'    => 'term_id',
					'taxonomy' => 'post_tag',
					'terms'    => $post_tags_ids,
				)
			);
		} else {
			$args['tax_query'] = array(
				array(
					'field'    => 'term_id',
					'taxonomy' => 'category',
					'terms'    => $post_categories_ids,
				)
			);
		}

		$related_posts_query = new WP_Query( $args );
	?>
	<?php if ( $related_posts_query->have_posts() ): ?>
		<h3 class="gf-title">
			<?php esc_html_e( 'Related Articles', 'go-first' ); ?>
		</h3>
		<div class="row" grid vertically-distributed="equal">
			<?php while ( $related_posts_query->have_posts() ): $related_posts_query->the_post(); ?>
				<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4" grid horizontally-distributed="equal" vertically-aligned="bottom">
					<?php get_template_part( 'template-parts/content', 'related' ); ?>		
				</div>
			<?php endwhile; wp_reset_postdata(); ?>
		</div>
	<?php endif; ?>
	<div class="row">
		<div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
			<?php comments_template(); ?>		
		</div>
	</div>
</div>